LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
PropertyInfo Struct Reference

This structure contains all the information related to a property. More...

`import"PropertyInfo.idl";`

## Public Attributes
string | Name
| The full name of the Property for eg. More...
string | Type
| The type of the Property. More...
any | Value
| The value of the property. More...
boolean | Protected
| Is the property protected, if true the property can not be over written in later layer. More...

## Detailed Description

This structure contains all the information related to a property.

See also
  XLayerContentDescriber

## Member Data Documentation

## ◆ Name

string Name

The full name of the Property for eg.

org.openoffice.Inet/Settings/ooInetHTTPProxyName

## ◆ Protected

boolean Protected

Is the property protected, if true the property can not be over written in later layer.

## ◆ Type

string Type

The type of the Property.

## ◆ Value

any Value

The value of the property.

The documentation for this struct was generated from the following file:

- com/sun/star/configuration/backend/PropertyInfo.idl